>From 2a0ef1a4ee7a05bda1e72e6851ae60a23503717d Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Tue, 7 Jul 2015 15:53:51 -0300
Subject: [PATCH 07/24] add syscaches for column store catalogs

---
 src/backend/utils/cache/syscache.c | 35 +++++++++++++++++++++++++++++++++++
 src/include/utils/syscache.h       |  3 +++
 2 files changed, 38 insertions(+)

diff --git a/src/backend/utils/cache/syscache.c b/src/backend/utils/cache/syscache.c
index efce7b9..1c39625 100644
--- a/src/backend/utils/cache/syscache.c
+++ b/src/backend/utils/cache/syscache.c
@@ -32,6 +32,8 @@
 #include "catalog/pg_collation.h"
 #include "catalog/pg_constraint.h"
 #include "catalog/pg_conversion.h"
+#include "catalog/pg_cstore.h"
+#include "catalog/pg_cstore_am.h"
 #include "catalog/pg_database.h"
 #include "catalog/pg_db_role_setting.h"
 #include "catalog/pg_default_acl.h"
@@ -347,6 +349,39 @@ static const struct cachedesc cacheinfo[] = {
 		},
 		8
 	},
+	{CStoreAmRelationId,		/* CSTOREAMNAME */
+		CStoreAmNameIndexId,
+		1,
+		{
+			Anum_pg_cstore_am_cstamname,
+			0,
+			0,
+			0
+		},
+		8
+	},
+	{CStoreAmRelationId,		/* CSTOREAMOID */
+		CStoreAmOidIndexId,
+		1,
+		{
+			ObjectIdAttributeNumber,
+			0,
+			0,
+			0
+		},
+		8
+	},
+	{CStoreRelationId,			/* CSTOREOID */
+		CStoreOidIndexId,
+		1,
+		{
+			ObjectIdAttributeNumber,
+			0,
+			0,
+			0
+		},
+		16
+	},
 	{DatabaseRelationId,		/* DATABASEOID */
 		DatabaseOidIndexId,
 		1,
diff --git a/src/include/utils/syscache.h b/src/include/utils/syscache.h
index 18404e2..abaeb21 100644
--- a/src/include/utils/syscache.h
+++ b/src/include/utils/syscache.h
@@ -52,6 +52,9 @@ enum SysCacheIdentifier
 	CONNAMENSP,
 	CONSTROID,
 	CONVOID,
+	CSTOREAMNAME,
+	CSTOREAMOID,
+	CSTOREOID,
 	DATABASEOID,
 	DEFACLROLENSPOBJ,
 	ENUMOID,
-- 
2.1.4

